Name:          pcollections
Version:       2.1.2
Release:       1%{?dist}
Summary:       A Persistent Java Collections Library
License:       MIT
URL:           http://pcollections.org/
Source0:       https://github.com/pcollections/pcollections/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/hrldcpr/pcollections/issues/42
# https://github.com/hrldcpr/pcollections/pull/43
Patch0:        0002-Add-license-headers.patch

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
PCollections serves as a persistent and immutable analogue of the
Java Collections Framework. This includes efficient, thread-safe,
generic, immutable, and persistent stacks, maps, vectors, sets, and
bags, compatible with their Java Collections counterparts.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%pom_remove_plugin :maven-gpg-plugin

%mvn_file org.%{name}:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGING VERSION
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Nov 27 2015 gil cattaneo <puntogil@libero.it> 2.1.2-1
- initial rpm
